Package edu.msu.cme.rdp.taxatree.utils

# Interface ClassifierTreeBuilder.ClassifierTaxonFactory<E extends edu.msu.cme.rdp.taxatree.Taxon>

Enclosing class:
  `ClassifierTreeBuilder<E extends edu.msu.cme.rdp.taxatree.Taxon>`

public static interface ClassifierTreeBuilder.ClassifierTaxonFactory<E extends edu.msu.cme.rdp.taxatree.Taxon>

## Method Summary

Modifier and Type
Method
Description
`E`
`buildTaxon(int taxid, String name, String rank, float conf, boolean unclassified)`

## Method Details

### buildTaxon

E buildTaxon(int taxid, String name, String rank, float conf, boolean unclassified)